> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coaxial.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List models

<RequestExample>
  ```bash cURL theme={null}
  curl -X 'GET' \
    'https://api.coaxial.ai/llm_integration/list/?user_id=<user_id>' \
    -H 'accept: application/json' \
    -H 'Authorization: Bearer <api_key>'
  ```

  ```python python theme={null}
  import coaxial
  from pprint import pprint

  coaxial_api = coaxial.Api(api_key=<api_key>)

  try:
      api_response = coaxial_api.model_integration.list_model_integrations(user_id=<user_id>)
      print("The response of ModelIntegrationApi->list_model_integrations:\n")
      pprint(api_response)
  except Exception as e:
      print("Exception when calling ModelIntegrationApi->list_model_integrations: %s\n" % e)
  ```
</RequestExample>

<ResponseExample>
  ```json Example Response theme={null}
  {
    "model": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "model_name": "string",
      "integration_type": "string",
      "coaxial_id": <coaxial_model_id>
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml get /llm_integration/list/
openapi: 3.1.0
info:
  contact:
    email: team@coaxial.ai
    name: Team Coaxial
  description: The Coaxial REST API. Please see https://docs.coaxial.ai for more details.
  termsOfService: https://coaxial.ai/terms/
  title: The Coaxial API
  version: 0.0.1
servers:
  - description: production
    url: https://api.coaxial.ai
  - description: sandbox
    url: https://sandbox.coaxial.ai
security: []
paths:
  /llm_integration/list/:
    get:
      tags:
        - model_integration
      summary: List models
      operationId: list_model_integrations
      parameters:
        - in: query
          name: user_id
          required: false
          schema:
            title: User Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/list_model_integrations_response'
          description: An array of LLM information
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - Authorization: []
components:
  schemas:
    list_model_integrations_response:
      properties:
        models:
          items:
            $ref: '#/components/schemas/Model'
          title: Models
          type: array
      required:
        - models
      title: list_model_integrations_response
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    Model:
      additionalProperties: false
      description: The LLM model
      properties:
        coaxial_id:
          title: Coaxial Id
          type: string
        id:
          format: uuid
          title: Id
          type: string
        integration_type:
          maxLength: 50
          title: Integration Type
          type: string
        model_name:
          maxLength: 50
          title: Model Name
          type: string
      required:
        - model_name
        - integration_type
        - coaxial_id
      title: Model
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    Authorization:
      scheme: bearer
      type: http

````